> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get a paginated list of the activities for a donor.

POST https://prod-api.raisedonors.com/api/Donor/{id}/activities
Content-Type: application/json

Reference: https://virtuous.ferndocs.com/reference/raise/donor/listdonoractivities

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Request

### Path parameters

- `id` (long, required) — The ID of the donor

### Body (application/json)

This endpoint expects an ActivitiesRequest.

- `filter` (string, optional, nullable)
- `skip` (integer, optional)
- `take` (integer, optional)
- `sortBy` (enum, optional, nullable) — Field to sort by (case-insensitive). Valid options: createdate, createddatetime, email, firstname, gifts, giftsum, id, lastname, modifieddatetimeutc, name, phone
  - Allowed values: `createdate`, `createddatetime`, `email`, `firstname`, `gifts`, `giftsum`, `id`, `lastname`, `modifieddatetimeutc`, `name`, `phone`
- `descending` (boolean, optional)
- `includeDetails` (boolean, optional)
- `selectedActivityOrigins` (list of enum, optional, nullable) — The activity origins to include in the results.
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`

## Response

### 200

OK

- `items` (list of DonorActivityModel, optional)
- `total` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `Donor_ListDonorActivitiesRequestBadRequestError`
  - ProblemDetails: ProblemDetails
  - HttpValidationProblemDetails: HttpValidationProblemDetails

## Types

### DonorActivityModel

Represents a donoractivity model.

- `id` (long, optional) — Gets or sets the identifier.
- `display` (string, optional, nullable) — Gets or sets the display.
- `activityOrigin` (enum, optional) — Gets or sets the activity origin.
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`
- `activityType` (enum, optional) — Gets or sets the activity type.
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`
- `createdDate` (string, optional, nullable) — Gets or sets the created date.
- `createdTime` (string, optional, nullable) — Gets or sets the created time.
- `donorId` (long, optional, nullable) — Gets or sets the donor identifier.
- `donorAddressId` (long, optional, nullable) — Gets or sets the donoraddress identifier.
- `donorContactMethodId` (long, optional, nullable) — Gets or sets the donorcontactmethod identifier.
- `giftId` (long, optional, nullable) — Gets or sets the gift identifier.
- `emailSubject` (string, optional, nullable)
- `emailFromName` (string, optional, nullable)
- `emailFromEmail` (string, optional, nullable)
- `emailTemplateType` (integer, optional, nullable)
- `emailTemplateId` (long, optional, nullable)

### ProblemDetails

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

### HttpValidationProblemDetails

- `detail` (string, optional, nullable)
- `errors` (map from string to list of string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "items": [
    {
      "id": 1024,
      "display": "Donation of $100 received",
      "activityOrigin": 2,
      "activityType": 1,
      "createdDate": "2024-06-10",
      "createdTime": "14:45:00",
      "donorId": 5678,
      "donorAddressId": 234,
      "donorContactMethodId": 789,
      "giftId": 3456,
      "emailSubject": "Thank you for your generous donation!",
      "emailFromName": "RaiseDonors Team",
      "emailFromEmail": "noreply@raisedonors.com",
      "emailTemplateType": 3,
      "emailTemplateId": 101
    }
  ],
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://prod-api.raisedonors.com/api/Donor/1/activities"

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://prod-api.raisedonors.com/api/Donor/1/activities';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-api.raisedonors.com/api/Donor/1/activities"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-api.raisedonors.com/api/Donor/1/activities")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://prod-api.raisedonors.com/api/Donor/1/activities")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://prod-api.raisedonors.com/api/Donor/1/activities', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-api.raisedonors.com/api/Donor/1/activities");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-api.raisedonors.com/api/Donor/1/activities")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```